Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

datasource_id
string<uuid>
required

Query Parameters

prefix
string | null

Path prefix filter.

search
string | null

Case-insensitive filename search.

limit
integer
default:1000
Required range: 1 <= x <= 10000
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

results
SourceFileEntry · object[]
required

The requested slice of the collection.

limit
integer
required

Items requested per page.

offset
integer
required

Items skipped before this page.

total
integer
required

Total number of files in the source.

ingested_count
integer
required

Ingested files among the entries in results (this page only).

not_ingested_count
integer
required

Not-yet-ingested files among the entries in results (this page only).

selection_enabled
boolean
required

Whether the source supports selecting files to ingest.